Bug 822694 - Garbage characters flash on screen before loading kernel
Garbage characters flash on screen before loading kernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 15:31 EDT by Cosimo Cecchi
Modified: 2013-04-30 18:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-18 11:32:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
video of the problem (924.99 KB, video/webm)
2012-05-17 15:32 EDT, Cosimo Cecchi
no flags Details

  None (edit)
Description Cosimo Cecchi 2012-05-17 15:31:41 EDT
Description of problem:

- Power on the PC
- Choose to start Fedora on the GRUB menu
- An instant before the kernel starts up, garbage characters will flash on the screen

See attached video. This happens with grub2-0.26.beta4.fc17, but I've seen it for a while.
Comment 1 Cosimo Cecchi 2012-05-17 15:32:08 EDT
Created attachment 585300 [details]
video of the problem
Comment 2 Mads Kiilerich 2012-05-17 18:41:46 EDT
I haven't seen that on other machines - it might depend on the hardware.

beta4 is however 'old', and beta5 will have the necessary fonts and will thus use graphical mode - that will probably make a difference. Please try beta5 and run grub2-install and grub2-mkconfig. (Remove any theme settings from /etc/default/grub first to match the behaviour in the final f17.)
Comment 3 Cosimo Cecchi 2012-05-18 10:45:32 EDT
Thanks for the quick reply; actually I realized that even though I had the beta4 package installed, the actual boot loader on disk was still the beta2 version (I guess we don't update the actual installed boot loader on every grub2 update?).
Updating it (i.e. reissuing grub2-install) to either the beta4 or beta5 packages fix the bug for me.

Should we update the boot loader on disk together with the grub2 package?
Comment 4 Mads Kiilerich 2012-05-18 11:32:29 EDT
Fedora has traditionally considered boot loader installation a major task that shouldn't be done automatically on package update. One reason is that it isn't stored anywhere what the grub2-install target(s) where. The bootloader will however usually be reinstalled by anaconda when a version upgrade is made.

Note You need to log in before you can comment on or make changes to this bug.